Package Details: caffeine-ng 3.4.2-2

Git Clone URL: https://aur.archlinux.org/caffeine-ng.git (read-only)
Package Base: caffeine-ng
Description: Status bar application able to temporarily inhibit the screensaver and sleep mode.
Upstream URL: https://github.com/caffeine-ng/caffeine-ng
Keywords: caffeine powersaving screensaver
Licenses: GPL3
Conflicts: caffeine, caffeine-bzr, caffeine-oneclick, caffeine-systray
Provides: caffeine, caffeine-bzr, caffeine-oneclick, caffeine-systray
Replaces: caffeine-oneclick, caffeine-systray
Submitter: WhyNotHugo
Maintainer: WhyNotHugo
Last Packager: WhyNotHugo
Votes: 99
Popularity: 1.037460
First Submitted: 2014-10-19 05:26
Last Updated: 2018-08-06 20:34

Latest Comments

« First ‹ Previous ... 3 4 5 6 7 8 9 10 11 12 13 ... Next › Last »

Rhinoceros commented on 2016-08-10 23:56

Thank you for that @hobarrera. However, now I'm getting the following error:

pkg_resources.DistributionNotFound: The 'python3-xlib>=0.15' distribution was not found and is required by caffeine-ng

FWIW I *do* have python-xlib 0.17-1 installed (as a dependency of python-ewmh).

WhyNotHugo commented on 2016-08-10 22:41

I've stopped pinning requirement versions upstream so we stop having these issues. I'll update this package as soon as the deployment (ie: publishing) finishes.

Rhinoceros commented on 2016-08-10 10:07

Yes, caffeine-ng is also broken for me with the same error:

pkg_resources.DistributionNotFound: The 'python3-xlib==0.15' distribution was not found and is required by caffeine-ng

On @JethroTux's advice, I found I could edit `/usr/lib/python3.5/site-packages/caffeine_ng-3.3.6-py3.5.egg-info/requires.txt`, commenting out the following two lines, which makes it work again.

ewmh>=0.1.3
python3-xlib==0.15

I'm also not sure if it's the preferred option.

JethroTux commented on 2016-08-08 19:25

OK.

As a workaround I commented out all the lines in
"/usr/lib/python3.5/site-packages/caffeine_ng-3.3.6-py3.5.egg-info/requires.txt",
this way the program runs smoothly.

Is it safe?
Cheerz.

JethroTux commented on 2016-08-08 19:20

Caffeine-ng does not start anymore after python-xlib (0.15rc1-1 -> 0.16-1) upgrade.

"pkg_resources.DistributionNotFound: The 'python3-xlib==0.15' distribution was not found and is required by caffeine-ng"


PhotonX commented on 2016-07-28 04:25

Thanks for the quick fix!

WhyNotHugo commented on 2016-07-27 23:51

Fixed, sorry.

JethroTux commented on 2016-07-27 23:06

Had to force installtion skipping md5sums coz the file did not pass validity check.
Also, had to install python-wheel-0.29.0-1 which was not needed with previous caffeine package.
How's that?

PhotonX commented on 2016-07-27 19:43

Caffeine crashes at startup after the python-ewmh update to 0.1.4-1 and reports that python-ewmh 0.1.3 is required.

WhyNotHugo commented on 2016-07-02 10:25

I've no idea about the PKGBUILD question. I guess it might be somewhat different, considering this is a pure-python app, and that's a python app with several shells scripts.

Whitelisting used to work as it does in caffeine-ng, you add an app to a list, and caffeine won't inhibit the screensaver while it's running.